#include <fstream>
#include <vector>
#include <algorithm>

using namespace std;

struct store
{
	store(int a, int b)
	{
		up = a;
		down = b;
		result = (long double)(a) / (long double)(b);
	}
	int up;
	int down;
	long double result;
};
bool compare(store a, store b)
{
	return (a.result < b.result);
}
int main()
{
	ifstream input("SXPS.inp");
	ofstream output("SXPS.out");

	int n, k;
	input >> n >> k;
	vector <store> result;
	for (int i = 1; i <= n; i++)
	{
		for (int j = 0; j <= n; j++)
		{
			if ((long double)(j) / (long double)(i) <= 1)
			{
				result.push_back(store(j, i));
			}
		}
	}
	stable_sort(result.begin(), result.end(), compare);
	for (int i = 1; i < result.size(); i++)
	{
		if (result[i].result == result[i - 1].result)
		{
			result.erase(result.begin() + i);
			i--;
		}
	}
	output << result[k - 1].up << '/' << result[k - 1].down;
	
	input.close();
	output.close();
	return 0;
}